> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Configure Wallet Refs Distribution For Grant

> Sets per-wallet distribution ratios for one token grant, blocked during payroll cutoff.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/configure-wallet-refs-distribution-for-grant
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/configure-wallet-refs-distribution-for-grant:
    post:
      operationId: configureWalletRefsDistributionForGrant
      summary: Configure Wallet Refs Distribution For Grant
      description: >-
        Sets per-wallet distribution ratios for one token grant, blocked during
        payroll cutoff.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/ConfigureWalletRefsDistributionForGrantRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ConfigureWalletRefsDistributionForGrantResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ConfigureWalletRefsDistributionForGrantRequest:
      type: object
      properties:
        grantID:
          type: string
          format: uuid
        roleInOrgID:
          type: string
          format: uuid
        walletRefsconfig:
          type: array
          items:
            type: object
            properties:
              walletReferenceID:
                type: string
                format: uuid
              distRatio:
                oneOf:
                  - type: string
                    pattern: ^\d+(?:\.\d+)?$
                  - {}
                  - type: number
                    minimum: 0
                    maximum: 1
            required:
              - walletReferenceID
              - distRatio
          maxItems: 1000
          description: >-
            NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces
            it

            NOTE(ck): a .transform() rule is not mirrored here; TGA still
            enforces it

            NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still
            checks it
      required:
        - grantID
        - roleInOrgID
        - walletRefsconfig
    ConfigureWalletRefsDistributionForGrantResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
